Bug 576435 - RFE: make a separate package for the nautilus extension
Summary: RFE: make a separate package for the nautilus extension
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2010-03-24 02:28 UTC by Christoph Wickert
Modified: 2010-12-09 01:28 UTC (History)
3 users (show)

Fixed In Version: evince-2.30.0-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 661507 661570 (view as bug list)
Environment:
Last Closed: 2010-11-28 10:24:20 UTC
Type: ---


Attachments (Terms of Use)
spec based on rawhides evince.spec (21.38 KB, text/plain)
2010-03-24 02:28 UTC, Christoph Wickert
no flags Details

Description Christoph Wickert 2010-03-24 02:28:38 UTC
Created attachment 402179 [details]
spec based on rawhides evince.spec

Description of problem:
Currently evince requires nautilus for libevince-properties-page.so.

Version-Release number of selected component (if applicable):
evince-2.29.92-1.fc13

Actual results:
The dependency on nautilus adds +20 MB for the Xfce Spin.

Expected results:
evince should be installable without nautilus.

Additional info:
evince-nautilus subpackge can be a conditional in comps, so it get's installed automatically with evince if nautilus is installed.

The attached spec contains some more fixes: make is now verbose, the obsolete scrollkeeper parts were dropped and the scriptlets updated, e.g. GConf stuff uses macros now.

Comment 1 Kevin Fenzi 2010-03-28 22:34:22 UTC
This would be nice to get in time for F13, so we could save 20MB on the Xfce spin. 

I don't see much downside here off hand...

Comment 2 Matthias Clasen 2010-04-01 04:42:04 UTC
> evince-nautilus subpackge can be a conditional in comps, so it get's installed
> automatically with evince if nautilus is installed.

This kinds of comps games are more of a problem than a solution. I'd just add evince-nautilus to the gnome-desktop group.

> The attached spec contains some more fixes: make is now verbose, the obsolete
> scrollkeeper parts were dropped and the scriptlets updated, e.g. GConf stuff
> uses macros now.    

Two minuses here: 1) unrelated changes 2) not providing a patch. That makes it unnecessarily hard to review the proposed changed.

Comment 3 Marek Kašík 2010-04-01 11:47:41 UTC
Hi Kevin,

I filled separate bug for Fedora 13, its number is 578776. But I'm not sure whether it will break "Software string freeze" or not.

Marek

Comment 4 Marek Kašík 2010-04-02 10:06:35 UTC
Hi,

I committed Christoph's modifications to CVS. The version of the evince is evince-2.30.0-6.fc14.

Regards

Marek

Comment 5 Christoph Wickert 2010-04-10 10:41:55 UTC
(In reply to comment #2)

> Two minuses here: 1) unrelated changes 

Could have been avoided if the spec followed the packaging guidelines.

> 2) not providing a patch. That makes it
> unnecessarily hard to review the proposed changed.    

Sorry, but I didn't know when this was going to be picked up.


Note You need to log in before you can comment on or make changes to this bug.